Browse Source

Allow Symfony 5.0 when installed by composer

tags/1.0.2
Christian Archer 1 month ago
parent
commit
e37607a0ef
4 changed files with 213 additions and 203 deletions
  1. +4
    -1
      composer.json
  2. +205
    -202
      composer.lock
  3. +2
    -0
      src/Commands/Decrypt.php
  4. +2
    -0
      src/Commands/Encrypt.php

+ 4
- 1
composer.json View File

@@ -33,7 +33,7 @@
"php": ">= 7.2",
"ext-sodium": "*",
"sandfoxme/bencode": "^1.3",
"symfony/console": "^4.0"
"symfony/console": "^4.0|^5.0"
},
"require-dev": {
"indeyets/pake": "^1.99",
@@ -44,6 +44,9 @@
"squizlabs/php_codesniffer": "^3.4"
},
"config": {
"platform": {
"php": "7.2"
},
"sort-packages": true
}
}

+ 205
- 202
composer.lock
File diff suppressed because it is too large
View File


+ 2
- 0
src/Commands/Decrypt.php View File

@@ -27,6 +27,8 @@ class Decrypt extends Base
$dec = new V2\Decrypt();

file_put_contents($outputFilename, $dec->decrypt($data, $secret));

return 0;
}

protected function makeOutputFileName(string $inputFileName): string

+ 2
- 0
src/Commands/Encrypt.php View File

@@ -37,6 +37,8 @@ class Encrypt extends Base
$enc = new V2\Encrypt();

file_put_contents($outputFilename, $enc->encrypt($data, $secret));

return 0;
}

protected function makeOutputFileName(string $inputFileName): string

Loading…
Cancel
Save